set -x

rm -rf slapd.d
mkdir slapd.d
chown ldap slapd.d

conf="slapd.conf"
cat > $conf << EOF
include         /etc/openldap/schema/core.schema
include         /etc/openldap/schema/cosine.schema
include         /etc/openldap/schema/inetorgperson.schema
include         /etc/openldap/schema/nis.schema
allow bind_v2
pidfile         /var/run/openldap/slapd.pid
argsfile        /var/run/openldap/slapd.args

database        ldif
suffix          dc=example,dc=com
rootdn          "cn=Manager,dc=example,dc=com"
# password is 'x'
rootpw          {SSHA}tOSmeQCcYIm1S9ujgpg2Km5rpUnR9dRB

directory        $(pwd)/slapd.d
include         /etc/openldap/schema/dyngroup.schema
EOF

slapadd -l data.ldif -f $conf
slapschema -n1  -f $conf
echo "First result: $?"

echo ""
sed -i 's/^include.*dyngroup.schema//' $conf
slapschema -n1  -f $conf
echo "Second result (expecting non-zero): $?"

